from decimal import *

from math import sqrt

def calc_time(v, u, x, y, x1, y1):
    t1 = Decimal.sqrt(x*x + y*y) / v
    t2 = Decimal.sqrt((x1-x)*(x1-x) + (y1-y)*(y1-y)) / u
    return t1 + t2

with open('input.txt', 'r') as fs:
    line = fs.readline().strip()
    v, u, x1, y1, y = [Decimal(x) for x in line.split(' ')]


l = Decimal(0.0)
r = x1

while r - l > Decimal(10e-8):
    xl = l + (r - l) / Decimal(3)
    xr = r - (r - l) / Decimal(3)
    txl = calc_time(v, u, xl, y, x1, y1)
    txr = calc_time(v, u, xr, y, x1, y1)
    if txl > txr:
        l = xl
    else:
        r = xr

with open('output.txt', 'w') as fs:
    fs.write('{:.4f}\n'.format((r + l) / 2))